<div class="c-form__group {% if isValid %}is-valid{% endif %}{% if isError %}is-error{% endif %}">
    <!--
        @int:
        to provide accessibility always provide labels,
        if we have to hide them add u-visually-hidden class
    -->
    <label class="c-form__label {% if hiddenClass %}u-visually-hidden{% endif %}" for="input-text-label-{{ id }}">
        {{ label }} {% if required %}<span class="c-form__required" title="Pflichtfeld">*</span>{% endif %}
    </label>

    <div class="c-form__input-container">
        <input {% if described %}aria-describedby="input-text-description-{{ descriptionId }}"{% endif %}
            id="input-text-label-{{ id }}"
            {% if type %}type="{{ type }}"{% else %}type="text"{% endif %}
            {% if placeholder %}placeholder="{{ placeholder }}"{% endif %}
            class="c-form__input"
            {% if required %}required{% endif %}
            {% if isValid %}value="Eingabe valide"{% endif %}
            {% if isError %}value="Eingabe fehlerhaft"{% endif %}>
        {% if icon %}
            <span class="c-form__icon" aria-hidden="true">{{ render }}</span>
        {% endif %}
    </div>

    {% if described %}
        <!--
            @int:
            if we have additional field description
            add aria-describedby to field and id to description text c-form__msg
        -->
        <p id="input-text-description-{{ descriptionId }}" class="c-form__msg u-typo:s">{{ described }}</p>
    {% endif %}

</div>
